# IpePdfDict Class Reference
[Ipe Base]

The PDF dictionary and stream objects. More...

Inherits IpePdfObj.

List of all members.

## Public Member Functions

- virtual const IpePdfDict * Dict () const
- virtual void Write (IpeStream &stream) const
- void SetStream (const IpeBuffer &stream)
- void Add (IpeString key, const IpePdfObj *obj)
- const IpePdfObj * Get (IpeString key, const IpePdfFile *file) const
- int Count () const
- IpeString Key (int index) const
- IpeBuffer Stream () const
- bool Deflated () const

## Detailed Description

The PDF dictionary and stream objects.

A dictionary may or may not have attached stream data.

## Member Function Documentation

const IpePdfDict * IpePdfDict::Dict | ( |  | ) | const`[virtual]`

Return this object as PDF dictionary object.

Reimplemented from IpePdfObj.

void IpePdfDict::SetStream | ( | const IpeBuffer & | stream | ) |

Add stream data to this dictionary.

void IpePdfDict::Add | ( | IpeString | key,
|  | const IpePdfObj * | obj |
| ) |  |  |

Add a (key, value) pair to the dictionary.

Dictionary takes ownership of obj.

const IpePdfObj * IpePdfDict::Get | ( | IpeString | key,
|  | const IpePdfFile * | file |
| ) |  |  | const

Look up key in dictionary.

Indirect objects (references) are looked up if file is not zero, and the object referred to is returned. Returns 0 if key is not in dictionary.

bool IpePdfDict::Deflated | ( |  | ) | const

Is this stream compressed with flate compression?

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp